package cn.com.infosec.asn1.teletrust;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class TeleTrusTNamedCurves$4 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      ECCurve.Fp var3;
      ECCurve.Fp var10000 = var3 = new ECCurve.Fp;
      BigInteger var10001 = new BigInteger("C302F41D932A36CDA7A3463093D18DB78FCE476DE1A86297", 16);
      BigInteger var1;
      var1 = new BigInteger.<init>("C302F41D932A36CDA7A3463093D18DB78FCE476DE1A86294", 16);
      BigInteger var2;
      var2 = new BigInteger.<init>("13D56FFAEC78681E68F9DEB43B35BEC2FB68542E27897B79", 16);
      var10000.<init>(var10001, var1, var2);
      ECCurve.Fp var10002 = var3;
      ECPoint var4 = var3.decodePoint(Hex.decode("043AE9E58C82F63C30282E1FE7BBF43FA72C446AF6F4618129097E2C5667C2223A902AB5CA449D0084B7E5B3DE7CCC01C9"));
      var1 = new BigInteger.<init>("C302F41D932A36CDA7A3462F9E9E916B5BE8F1029AC4ACC1", 16);
      var2 = new BigInteger.<init>("01", 16);
      return new X9ECParameters(var10002, var4, var1, var2);
   }
}
